Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# ParticlePanel Class Reference

List of all members.

## Public Member Functions
def | __init__
def | addConstantInterpolationSegment
def | addForce
def | addForceGroupNotebookPage
def | addForceWidget
def | addLinearCylinderVortexForce
def | addLinearFrictionForce
def | addLinearInterpolationSegment
def | addLinearJitterForce
def | addLinearNoiseForce
def | addLinearSinkForce
def | addLinearSourceForce
def | addLinearUserDefinedForce
def | addLinearVectorForce
def | addRendererSpriteAnimationFromNode
def | addRendererSpriteAnimationTexture
def | addSinusoidInterpolationSegment
def | addStepwaveInterpolationSegment
def | appInit
def | createAngleDial
def | createCheckbutton
| WIDGET UTILITY FUNCTIONS ###.
def | createColorEntry
def | createComboBox
def | createConstantInterpolationSegmentWidget
def | createFloater
def | createFloaters
def | createForceActiveWidget
def | createForceFrame
def | createInterface
def | createInterpolationSegmentFrame
def | createLinearCylinderVortexForceWidget
def | createLinearDistanceForceWidget
def | createLinearForceWidgets
def | createLinearFrictionForceWidget
def | createLinearInterpolationSegmentWidget
def | createLinearRandomForceWidget
def | createLinearVectorForceWidget
def | createNewEffect
| SYSTEM COMMANDS ##.
def | createNewForceGroup
def | createNewParticles
def | createOptionMenu
def | createRadiobutton
def | createSinusoidInterpolationSegmentWidget
def | createSlider
def | createSpriteAnimationFrame
def | createSpriteAnimationNodeWidget
def | createSpriteAnimationTextureWidget
def | createStepwaveInterpolationSegmentWidget
def | createVector2Entry
def | createVector3Entry
def | createWidgetForExistingInterpolationSegment
def | getVariable
def | getWidget
def | loadParticleEffectFromFile
def | readSpriteRendererAnimations
def | rendererPointSelectBlendMethod
def | rendererPointSelectBlendType
def | saveParticleEffectToFile
def | selectEffectNamed
def | selectEmitterPage
def | selectEmitterType
| EMITTER PAGE ##.
def | selectFactoryPage
def | selectFactoryType
| FACTORY PAGE ##.
def | selectForceGroupNamed
def | selectParticlesNamed
def | selectRendererPage
def | selectRendererType
| RENDERER PAGE ##.
def | setEmissionType
def | setEmitterAmplitude
def | setEmitterAmplitudeSpread
def | setEmitterBoxPoint1
def | setEmitterBoxPoint2
def | setEmitterDiscInnerAngle
def | setEmitterDiscInnerVelocity
def | setEmitterDiscOuterAngle
def | setEmitterDiscOuterVelocity
def | setEmitterDiscRadius
def | setEmitterExplicitLaunchVector
def | setEmitterLinePoint1
def | setEmitterLinePoint2
def | setEmitterOffsetForce
def | setEmitterPointPosition
def | setEmitterRadiateOrigin
def | setEmitterRectanglePoint1
def | setEmitterRectanglePoint2
def | setEmitterRingLaunchAngle
def | setEmitterRingRadius
def | setEmitterRingRadiusSpread
def | setEmitterSphereSurfaceRadius
def | setEmitterSphereVolumeRadius
def | setEmitterTangentRingRadius
def | setEmitterTangentRingRadiusSpread
def | setFactoryLifeSpan
def | setFactoryLifeSpanSpread
def | setFactoryParticleMass
def | setFactoryParticleMassSpread
def | setFactoryTerminalVelocity
def | setFactoryTerminalVelocitySpread
def | setFactoryZSpinAngularVelocity
def | setFactoryZSpinAngularVelocitySpread
def | setFactoryZSpinFinalAngle
def | setFactoryZSpinFinalAngleSpread
def | setFactoryZSpinInitialAngle
def | setFactoryZSpinInitialAngleSpread
def | setRendererAlphaMode
def | setRendererColorBlendAttrib
def | setRendererGeomColorBlendFbufferOperand
def | setRendererGeomColorBlendIncomingOperand
def | setRendererGeomColorBlendMethod
def | setRendererGeomFinalXScale
def | setRendererGeomFinalYScale
def | setRendererGeomFinalZScale
def | setRendererGeomInitialXScale
def | setRendererGeomInitialYScale
def | setRendererGeomInitialZScale
def | setRendererGeomNode
def | setRendererLineHeadColor
def | setRendererLineScaleFactor
def | setRendererLineTailColor
def | setRendererPointEndColor
def | setRendererPointSize
def | setRendererPointStartColor
def | setRendererSparkleBirthRadius
def | setRendererSparkleCenterColor
def | setRendererSparkleDeathRadius
def | setRendererSparkleEdgeColor
def | setRendererSparkleLifeScale
def | setRendererSpriteAnimationEnable
def | setRendererSpriteAnimationFrameRate
def | setRendererSpriteBlendMethod
def | setRendererSpriteColorBlendFbufferOperand
def | setRendererSpriteColorBlendIncomingOperand
def | setRendererSpriteColorBlendMethod
def | setRendererSpriteFinalXScale
def | setRendererSpriteFinalYScale
def | setRendererSpriteInitialXScale
def | setRendererSpriteInitialYScale
def | setRendererSpriteNonAnimatedTheta
def | setRendererUserAlpha
def | setSpriteSourceType
def | setSystemBirthRate
def | setSystemHpr
def | setSystemLifespan
def | setSystemLitterSize
def | setSystemLitterSpread
def | setSystemPoolSize
def | setSystemPos
def | toggleAngularVelocity
def | toggleEffect
def | toggleEmitterDiscCubicLerping
def | toggleForce
def | toggleForceGroup
def | toggleParticleEffect
def | toggleParticleMgr
| PARTICLE EFFECTS COMMANDS ###.
def | toggleParticles
def | toggleRendererGeomXScale
def | toggleRendererGeomYScale
def | toggleRendererGeomZScale
def | toggleRendererSpriteAlphaDisable
def | toggleRendererSpriteAnimAngle
def | toggleRendererSpriteXScale
def | toggleRendererSpriteYScale
def | toggleSystemGrowsOlder
def | toggleSystemLocalVelocity
def | updateEffectsMenus
def | updateEmitterWidgets
def | updateFactoryWidgets
def | updateForceGroupMenus
def | updateForceWidgets
| FORCEGROUP COMMANDS ##.
def | updateInfo
| PARTICLE SYSTEM COMMANDS ###.
def | updateLabels
def | updateMenus
def | updateMenusAndLabels
def | updateParticlesMenus
def | updateRendererWidgets
def | updateSystemWidgets
| SYSTEM PAGE ##.
def | writeSpriteRendererAnimations
## Public Attributes
| discCustomFrame
| effectsDict
| effectsEnableMenu
| effectsLabel
| MENUBUTTON LABELS ## Menubutton/label to identify the current objects being configured.
| effectsLabelMenu
| emissionType
| EMITTER PAGE WIDGETS ##.
| emitterNotebook
| factoryNotebook
| SYSTEM PAGE WIDGETS ## Create system floaters.
| forceGroup
| forceGroupEnableMenu
| forceGroupLabel
| forceGroupLabelMenu
| forcePage
| forcePageName
| forcePagesDict
| mainNotebook
| particleEffect
| particleMgrActive
| MENUBAR ENTRIES ## FILE MENU Get a handle on the file menu so commands can be inserted before quit item.
| particles
| particlesEnableMenu
| particlesLabel
| particlesLabelMenu
| rendererGeomNode
| GEOM PARTICLE RENDERER PAGE #.
| rendererGeomNodeEntry
| rendererGeomSegmentFrame
| Blend tab.
| rendererNotebook
| RENDERER PAGE WIDGETS ##.
| rendererSegmentWidgetList
| rendererSpriteAnimationWidgetList
| ringCustomFrame
| variableDict
| widgetDict
## Static Public Attributes
string | activebackground = '#909090'
tuple | addSegmentButton
string | appname = 'Particle Panel'
string | balloonState = 'both'
tuple | bbp = Frame(bp)
int | borderwidth = 2
tuple | bp = Frame(p)
tuple | command = self.setRendererSpriteAnimationFrameRate).pack(side = LEFT)
| command = self.setRendererSpriteInitialXScale)
tuple | font = ('MSSansSerif', 14, 'bold')
tuple | forceMenu = Menu(self.addForceButton)
int | frameHeight = 675
int | frameWidth = 375
tuple | p = Frame(rendererSpriteTexturePage)
tuple | pp = Frame(p)
| relief = RAISED,
| FORCE PAGE WIDGETS ##.
tuple | segmentMenu = Menu(addSegmentButton)
tuple | sf = Pmw.ScrolledFrame(pp, horizflex = 'elastic')
int | usecommandarea = 0
int | usestatusarea = 0

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | particleEffect = `None`,
|  |  | kw
| ) |  |

## Member Function Documentation

def addConstantInterpolationSegment | ( |  | self,
|  |  | id = `None`
| ) |  |

def addForce | ( |  | self,
|  |  | f
| ) |  |

def addForceGroupNotebookPage | ( |  | self,
|  |  | particleEffect,
|  |  | forceGroup
| ) |  |

def addForceWidget | ( |  | self,
|  |  | forceGroup,
|  |  | force
| ) |  |

def addLinearCylinderVortexForce | ( |  | self | ) |

def addLinearFrictionForce | ( |  | self | ) |

def addLinearInterpolationSegment | ( |  | self,
|  |  | id = `None`
| ) |  |

def addLinearJitterForce | ( |  | self | ) |

def addLinearNoiseForce | ( |  | self | ) |

def addLinearSinkForce | ( |  | self | ) |

def addLinearSourceForce | ( |  | self | ) |

def addLinearUserDefinedForce | ( |  | self | ) |

def addLinearVectorForce | ( |  | self | ) |

def addRendererSpriteAnimationFromNode | ( |  | self | ) |

def addRendererSpriteAnimationTexture | ( |  | self | ) |

def addSinusoidInterpolationSegment | ( |  | self,
|  |  | id = `None`
| ) |  |

def addStepwaveInterpolationSegment | ( |  | self,
|  |  | id = `None`
| ) |  |

def appInit | ( |  | self | ) |

def createAngleDial | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | balloonHelp,
|  |  | command = `None`,
|  |  | kw
| ) |  |

def createCheckbutton | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | balloonHelp,
|  |  | command,
|  |  | initialState,
|  |  | side = `'top'`
| ) |  |

WIDGET UTILITY FUNCTIONS ###.

def createColorEntry | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | balloonHelp,
|  |  | command = `None`,
|  |  | kw
| ) |  |

def createComboBox | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | balloonHelp,
|  |  | items,
|  |  | command,
|  |  | history = `0`
| ) |  |

def createConstantInterpolationSegmentWidget | ( |  | self,
|  |  | parent,
|  |  | segName,
|  |  | segment
| ) |  |

def createFloater | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | balloonHelp,
|  |  | command = `None`,
|  |  | min = `0.0`,
|  |  | resolution = `None`,
|  |  | numDigits = `3`,
|  |  | kw
| ) |  |

def createFloaters | ( |  | self,
|  |  | parent,
|  |  | widgetDefinitions
| ) |  |

def createForceActiveWidget | ( |  | self,
|  |  | frame,
|  |  | pageName,
|  |  | forceName,
|  |  | force
| ) |  |

def createForceFrame | ( |  | self,
|  |  | forcePage,
|  |  | forceName,
|  |  | force
| ) |  |

def createInterface | ( |  | self | ) |

def createInterpolationSegmentFrame | ( |  | self,
|  |  | parent,
|  |  | segName,
|  |  | seg
| ) |  |

def createLinearCylinderVortexForceWidget | ( |  | self,
|  |  | forcePage,
|  |  | pageName,
|  |  | count,
|  |  | force
| ) |  |

def createLinearDistanceForceWidget | ( |  | self,
|  |  | forcePage,
|  |  | pageName,
|  |  | count,
|  |  | force,
|  |  | type
| ) |  |

def createLinearForceWidgets | ( |  | self,
|  |  | frame,
|  |  | pageName,
|  |  | forceName,
|  |  | force
| ) |  |

def createLinearFrictionForceWidget | ( |  | self,
|  |  | forcePage,
|  |  | pageName,
|  |  | count,
|  |  | force
| ) |  |

def createLinearInterpolationSegmentWidget | ( |  | self,
|  |  | parent,
|  |  | segName,
|  |  | segment
| ) |  |

def createLinearRandomForceWidget | ( |  | self,
|  |  | forcePage,
|  |  | pageName,
|  |  | count,
|  |  | force,
|  |  | type
| ) |  |

def createLinearVectorForceWidget | ( |  | self,
|  |  | forcePage,
|  |  | pageName,
|  |  | count,
|  |  | force
| ) |  |

def createNewEffect | ( |  | self | ) |

SYSTEM COMMANDS ##.

def createNewForceGroup | ( |  | self | ) |

def createNewParticles | ( |  | self | ) |

def createOptionMenu | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | balloonHelp,
|  |  | items,
|  |  | command
| ) |  |

def createRadiobutton | ( |  | self,
|  |  | parent,
|  |  | side,
|  |  | category,
|  |  | text,
|  |  | balloonHelp,
|  |  | variable,
|  |  | value,
|  |  | command
| ) |  |

def createSinusoidInterpolationSegmentWidget | ( |  | self,
|  |  | parent,
|  |  | segName,
|  |  | segment
| ) |  |

def createSlider | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | balloonHelp,
|  |  | command = `None`,
|  |  | min = `0.0`,
|  |  | max = `1.0`,
|  |  | resolution = `0.001`,
|  |  | kw
| ) |  |

def createSpriteAnimationFrame | ( |  | self,
|  |  | parent,
|  |  | anim,
|  |  | animName
| ) |  |

def createSpriteAnimationNodeWidget | ( |  | self,
|  |  | parent,
|  |  | anim,
|  |  | animName
| ) |  |

def createSpriteAnimationTextureWidget | ( |  | self,
|  |  | parent,
|  |  | anim,
|  |  | animName
| ) |  |

def createStepwaveInterpolationSegmentWidget | ( |  | self,
|  |  | parent,
|  |  | segName,
|  |  | segment
| ) |  |

def createVector2Entry | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | balloonHelp,
|  |  | command = `None`,
|  |  | kw
| ) |  |

def createVector3Entry | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | balloonHelp,
|  |  | command = `None`,
|  |  | kw
| ) |  |

def createWidgetForExistingInterpolationSegment | ( |  | self,
|  |  | id
| ) |  |

def getVariable | ( |  | self,
|  |  | category,
|  |  | text
| ) |  |

def getWidget | ( |  | self,
|  |  | category,
|  |  | text
| ) |  |

def loadParticleEffectFromFile | ( |  | self | ) |

def readSpriteRendererAnimations | ( |  | self | ) |

def rendererPointSelectBlendMethod | ( |  | self,
|  |  | blendMethod
| ) |  |

def rendererPointSelectBlendType | ( |  | self,
|  |  | blendType
| ) |  |

def saveParticleEffectToFile | ( |  | self | ) |

def selectEffectNamed | ( |  | self,
|  |  | name
| ) |  |

def selectEmitterPage | ( |  | self | ) |

def selectEmitterType | ( |  | self,
|  |  | type
| ) |  |

EMITTER PAGE ##.

def selectFactoryPage | ( |  | self | ) |

def selectFactoryType | ( |  | self,
|  |  | type
| ) |  |

FACTORY PAGE ##.

def selectForceGroupNamed | ( |  | self,
|  |  | name
| ) |  |

def selectParticlesNamed | ( |  | self,
|  |  | name
| ) |  |

def selectRendererPage | ( |  | self | ) |

def selectRendererType | ( |  | self,
|  |  | type
| ) |  |

RENDERER PAGE ##.

def setEmissionType | ( |  | self,
|  |  | newType = `None`
| ) |  |

def setEmitterAmplitude | ( |  | self,
|  |  | value
| ) |  |

def setEmitterAmplitudeSpread | ( |  | self,
|  |  | value
| ) |  |

def setEmitterBoxPoint1 | ( |  | self,
|  |  | point
| ) |  |

def setEmitterBoxPoint2 | ( |  | self,
|  |  | point
| ) |  |

def setEmitterDiscInnerAngle | ( |  | self,
|  |  | angle
| ) |  |

def setEmitterDiscInnerVelocity | ( |  | self,
|  |  | velocity
| ) |  |

def setEmitterDiscOuterAngle | ( |  | self,
|  |  | angle
| ) |  |

def setEmitterDiscOuterVelocity | ( |  | self,
|  |  | velocity
| ) |  |

def setEmitterDiscRadius | ( |  | self,
|  |  | radius
| ) |  |

def setEmitterExplicitLaunchVector | ( |  | self,
|  |  | vec
| ) |  |

def setEmitterLinePoint1 | ( |  | self,
|  |  | point
| ) |  |

def setEmitterLinePoint2 | ( |  | self,
|  |  | point
| ) |  |

def setEmitterOffsetForce | ( |  | self,
|  |  | vec
| ) |  |

def setEmitterPointPosition | ( |  | self,
|  |  | pos
| ) |  |

def setEmitterRadiateOrigin | ( |  | self,
|  |  | origin
| ) |  |

def setEmitterRectanglePoint1 | ( |  | self,
|  |  | point
| ) |  |

def setEmitterRectanglePoint2 | ( |  | self,
|  |  | point
| ) |  |

def setEmitterRingLaunchAngle | ( |  | self,
|  |  | angle
| ) |  |

def setEmitterRingRadius | ( |  | self,
|  |  | radius
| ) |  |

def setEmitterRingRadiusSpread | ( |  | self,
|  |  | radiusSpread
| ) |  |

def setEmitterSphereSurfaceRadius | ( |  | self,
|  |  | radius
| ) |  |

def setEmitterSphereVolumeRadius | ( |  | self,
|  |  | radius
| ) |  |

def setEmitterTangentRingRadius | ( |  | self,
|  |  | radius
| ) |  |

def setEmitterTangentRingRadiusSpread | ( |  | self,
|  |  | radiusSpread
| ) |  |

def setFactoryLifeSpan | ( |  | self,
|  |  | value
| ) |  |

def setFactoryLifeSpanSpread | ( |  | self,
|  |  | value
| ) |  |

def setFactoryParticleMass | ( |  | self,
|  |  | value
| ) |  |

def setFactoryParticleMassSpread | ( |  | self,
|  |  | value
| ) |  |

def setFactoryTerminalVelocity | ( |  | self,
|  |  | value
| ) |  |

def setFactoryTerminalVelocitySpread | ( |  | self,
|  |  | value
| ) |  |

def setFactoryZSpinAngularVelocity | ( |  | self,
|  |  | vel
| ) |  |

def setFactoryZSpinAngularVelocitySpread | ( |  | self,
|  |  | spread
| ) |  |

def setFactoryZSpinFinalAngle | ( |  | self,
|  |  | angle
| ) |  |

def setFactoryZSpinFinalAngleSpread | ( |  | self,
|  |  | spread
| ) |  |

def setFactoryZSpinInitialAngle | ( |  | self,
|  |  | angle
| ) |  |

def setFactoryZSpinInitialAngleSpread | ( |  | self,
|  |  | spread
| ) |  |

def setRendererAlphaMode | ( |  | self,
|  |  | alphaMode
| ) |  |

def setRendererColorBlendAttrib | ( |  | self,
|  |  | rendererName,
|  |  | blendMethodStr,
|  |  | incomingOperandStr,
|  |  | fbufferOperandStr
| ) |  |

def setRendererGeomColorBlendFbufferOperand | ( |  | self,
|  |  | operand
| ) |  |

def setRendererGeomColorBlendIncomingOperand | ( |  | self,
|  |  | operand
| ) |  |

def setRendererGeomColorBlendMethod | ( |  | self,
|  |  | blendMethod
| ) |  |

def setRendererGeomFinalXScale | ( |  | self,
|  |  | xScale
| ) |  |

def setRendererGeomFinalYScale | ( |  | self,
|  |  | yScale
| ) |  |

def setRendererGeomFinalZScale | ( |  | self,
|  |  | zScale
| ) |  |

def setRendererGeomInitialXScale | ( |  | self,
|  |  | xScale
| ) |  |

def setRendererGeomInitialYScale | ( |  | self,
|  |  | yScale
| ) |  |

def setRendererGeomInitialZScale | ( |  | self,
|  |  | zScale
| ) |  |

def setRendererGeomNode | ( |  | self,
|  |  | event
| ) |  |

def setRendererLineHeadColor | ( |  | self,
|  |  | color
| ) |  |

def setRendererLineScaleFactor | ( |  | self,
|  |  | sf
| ) |  |

def setRendererLineTailColor | ( |  | self,
|  |  | color
| ) |  |

def setRendererPointEndColor | ( |  | self,
|  |  | color
| ) |  |

def setRendererPointSize | ( |  | self,
|  |  | size
| ) |  |

def setRendererPointStartColor | ( |  | self,
|  |  | color
| ) |  |

def setRendererSparkleBirthRadius | ( |  | self,
|  |  | radius
| ) |  |

def setRendererSparkleCenterColor | ( |  | self,
|  |  | color
| ) |  |

def setRendererSparkleDeathRadius | ( |  | self,
|  |  | radius
| ) |  |

def setRendererSparkleEdgeColor | ( |  | self,
|  |  | color
| ) |  |

def setRendererSparkleLifeScale | ( |  | self,
|  |  | lifeScaleMethod
| ) |  |

def setRendererSpriteAnimationEnable | ( |  | self | ) |

def setRendererSpriteAnimationFrameRate | ( |  | self,
|  |  | rate
| ) |  |

def setRendererSpriteBlendMethod | ( |  | self,
|  |  | blendMethod
| ) |  |

def setRendererSpriteColorBlendFbufferOperand | ( |  | self,
|  |  | operand
| ) |  |

def setRendererSpriteColorBlendIncomingOperand | ( |  | self,
|  |  | operand
| ) |  |

def setRendererSpriteColorBlendMethod | ( |  | self,
|  |  | blendMethod
| ) |  |

def setRendererSpriteFinalXScale | ( |  | self,
|  |  | xScale
| ) |  |

def setRendererSpriteFinalYScale | ( |  | self,
|  |  | yScale
| ) |  |

def setRendererSpriteInitialXScale | ( |  | self,
|  |  | xScale
| ) |  |

def setRendererSpriteInitialYScale | ( |  | self,
|  |  | yScale
| ) |  |

def setRendererSpriteNonAnimatedTheta | ( |  | self,
|  |  | theta
| ) |  |

def setRendererUserAlpha | ( |  | self,
|  |  | alpha
| ) |  |

def setSpriteSourceType | ( |  | self | ) |

def setSystemBirthRate | ( |  | self,
|  |  | value
| ) |  |

def setSystemHpr | ( |  | self,
|  |  | pos
| ) |  |

def setSystemLifespan | ( |  | self,
|  |  | value
| ) |  |

def setSystemLitterSize | ( |  | self,
|  |  | value
| ) |  |

def setSystemLitterSpread | ( |  | self,
|  |  | value
| ) |  |

def setSystemPoolSize | ( |  | self,
|  |  | value
| ) |  |

def setSystemPos | ( |  | self,
|  |  | pos
| ) |  |

def toggleAngularVelocity | ( |  | self | ) |

def toggleEffect | ( |  | self,
|  |  | effect,
|  |  | var
| ) |  |

def toggleEmitterDiscCubicLerping | ( |  | self | ) |

def toggleForce | ( |  | self,
|  |  | force,
|  |  | pageName,
|  |  | variableName
| ) |  |

def toggleForceGroup | ( |  | self,
|  |  | forceGroup,
|  |  | var
| ) |  |

def toggleParticleEffect | ( |  | self | ) |

def toggleParticleMgr | ( |  | self | ) |

PARTICLE EFFECTS COMMANDS ###.

def toggleParticles | ( |  | self,
|  |  | particles,
|  |  | var
| ) |  |

def toggleRendererGeomXScale | ( |  | self | ) |

def toggleRendererGeomYScale | ( |  | self | ) |

def toggleRendererGeomZScale | ( |  | self | ) |

def toggleRendererSpriteAlphaDisable | ( |  | self | ) |

def toggleRendererSpriteAnimAngle | ( |  | self | ) |

def toggleRendererSpriteXScale | ( |  | self | ) |

def toggleRendererSpriteYScale | ( |  | self | ) |

def toggleSystemGrowsOlder | ( |  | self | ) |

def toggleSystemLocalVelocity | ( |  | self | ) |

def updateEffectsMenus | ( |  | self | ) |

def updateEmitterWidgets | ( |  | self | ) |

def updateFactoryWidgets | ( |  | self | ) |

def updateForceGroupMenus | ( |  | self | ) |

def updateForceWidgets | ( |  | self | ) |

FORCEGROUP COMMANDS ##.

def updateInfo | ( |  | self,
|  |  | page = `'System'`
| ) |  |

PARTICLE SYSTEM COMMANDS ###.

def updateLabels | ( |  | self | ) |

def updateMenus | ( |  | self | ) |

def updateMenusAndLabels | ( |  | self | ) |

def updateParticlesMenus | ( |  | self | ) |

def updateRendererWidgets | ( |  | self | ) |

def updateSystemWidgets | ( |  | self | ) |

SYSTEM PAGE ##.

def writeSpriteRendererAnimations | ( |  | self | ) |

## Member Data Documentation

string activebackground = '#909090'`[static]`

tuple addSegmentButton`[static]`

Initial value:

    Menubutton(p, text = 'Add Segment',
                                          relief = RAISED,
                                          borderwidth = 2,
                                          font=('MSSansSerif', 14, 'bold'),
                                          activebackground = '#909090')

string appname = 'Particle Panel'`[static]`

string balloonState = 'both'`[static]`

tuple bbp = Frame(bp)`[static]`

int borderwidth = 2`[static]`

tuple bp = Frame(p)`[static]`

tuple command = self.setRendererSpriteAnimationFrameRate).pack(side = LEFT)`[static]`

command = self.setRendererSpriteInitialXScale)`[static]`

discCustomFrame

effectsDict

effectsEnableMenu

effectsLabel

MENUBUTTON LABELS ## Menubutton/label to identify the current objects being configured.

effectsLabelMenu

emissionType

EMITTER PAGE WIDGETS ##.

emitterNotebook

factoryNotebook

SYSTEM PAGE WIDGETS ## Create system floaters.

FACTORY PAGE WIDGETS ##

tuple font = ('MSSansSerif', 14, 'bold')`[static]`

forceGroup

forceGroupEnableMenu

forceGroupLabel

forceGroupLabelMenu

tuple forceMenu = Menu(self.addForceButton)`[static]`

forcePage

forcePageName

forcePagesDict

int frameHeight = 675`[static]`

int frameWidth = 375`[static]`

mainNotebook

tuple p = Frame(rendererSpriteTexturePage)`[static]`

particleEffect

particleMgrActive

MENUBAR ENTRIES ## FILE MENU Get a handle on the file menu so commands can be inserted before quit item.

particles

particlesEnableMenu

particlesLabel

particlesLabelMenu

tuple pp = Frame(p)`[static]`

relief = RAISED,`[static]`

FORCE PAGE WIDGETS ##.

rendererGeomNode

GEOM PARTICLE RENDERER PAGE #.

rendererGeomNodeEntry

rendererGeomSegmentFrame

Blend tab.

Scale tab Interpolate tab

rendererNotebook

RENDERER PAGE WIDGETS ##.

rendererSegmentWidgetList

rendererSpriteAnimationWidgetList

ringCustomFrame

tuple segmentMenu = Menu(addSegmentButton)`[static]`

tuple sf = Pmw.ScrolledFrame(pp, horizflex = 'elastic')`[static]`

int usecommandarea = 0`[static]`

int usestatusarea = 0`[static]`

variableDict

widgetDict

All Classes Namespaces Functions Variables Enumerations Enumerator Properties